net.corda.flows

## Class TwoPartyDealFlow.Handshake<T>

- net.corda.flows.TwoPartyDealFlow.Handshake<T>

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.Handshake<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Handshake(T payload, CompositeKey publicKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `component1()`
    `CompositeKey` | `component2()`
    `TwoPartyDealFlow.Handshake<T>` | `copy(T payload, CompositeKey publicKey)`
    `boolean` | `equals(java.lang.Object p)`
    `T` | `getPayload()`
    `CompositeKey` | `getPublicKey()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Handshake

          public Handshake(T payload,
                           CompositeKey publicKey)

  - ### Method Detail

    - #### getPayload

          public T getPayload()

    - #### getPublicKey

          public CompositeKey getPublicKey()

    - #### component1

          public T component1()

    - #### component2

          public CompositeKey component2()

    - #### copy

          public TwoPartyDealFlow.Handshake<T> copy(T payload,
                                                    CompositeKey publicKey)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)